#include "vision.h"
#include<vector>
using namespace std;
std::vector<int> getVisionPattern1d() {
    return {1, 1, 2, 2, 1, 2};
}

int getMove1d(std::vector<int> v) {
    vector<int> a = {1, 2, 2, 1, 2}, b = {2, 1, 2, 1, 1}, c = {1, 1, 2, 2, 1};
    if (v == a || v == b || v == c) {
        return 4;
    }
    return 0;
}

std::vector<std::vector<int>> getVisionPattern2d() {
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v) {
    return {0, 0};
}